CEL: Crystal Entity Layer: iQuestSequence Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iQuestSequence Struct Reference

A sequence. More...

`#include <tools/questmanager.h>`

List of all members.

## Public Member Functions
virtual void | Abort ()=0
| Abort this sequence.
virtual void | AddSequenceCallback (iQuestSequenceCallback *cb)=0
| Register a callback that is fired when this sequence finishes.
virtual void | Finish ()=0
| Finish this sequence.
virtual const char * | GetName () const =0
| Get the name of this sequence.
virtual bool | IsRunning ()=0
| Return true if this sequence is currently running.
virtual void | RemoveSequenceCallback (iQuestSequenceCallback *cb)=0
| Remove a callback.
virtual bool | Start (csTicks delay)=0
| Fire this sequence.

## Detailed Description

A sequence.

Definition at line 367 of file questmanager.h.

## Member Function Documentation

virtual void iQuestSequence::Abort | ( |  | ) | `[pure virtual]`

Abort this sequence.

This will simply abort the sequence without doing any further operation. This can leave the objects on which this sequence operates in undefined states.

virtual void iQuestSequence::AddSequenceCallback | ( | iQuestSequenceCallback * | cb | ) | `[pure virtual]`

Register a callback that is fired when this sequence finishes.

virtual void iQuestSequence::Finish | ( |  | ) | `[pure virtual]`

Finish this sequence.

The sequence will be executed at end condition which means that all operations that have not yet fully executed will be executed at relative time index '1'. So the end result will be as if the sequence completed normally.

virtual const char* iQuestSequence::GetName | ( |  | ) | const`[pure virtual]`

Get the name of this sequence.

virtual bool iQuestSequence::IsRunning | ( |  | ) | `[pure virtual]`

Return true if this sequence is currently running.

virtual void iQuestSequence::RemoveSequenceCallback | ( | iQuestSequenceCallback * | cb | ) | `[pure virtual]`

Remove a callback.

virtual bool iQuestSequence::Start | ( | csTicks | delay | ) | `[pure virtual]`

Fire this sequence.

Parameters:

  | delay | is a delay before the sequence will really start.

Returns:
  false if the sequence is already running.

The documentation for this struct was generated from the following file:

- tools/questmanager.h